Skip to main content
GET
/
subscription-packages
/
{productId}
/
configuration
Get subscription configuration options
curl --request GET \
  --url https://api.marzipan.co/v1/subscription-packages/{productId}/configuration \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.marzipan.co/v1/subscription-packages/{productId}/configuration"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.marzipan.co/v1/subscription-packages/{productId}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "subscriptionType": "picknmix",
    "pricingType": "calculated",
    "fixedPrice": null,
    "frequencies": [
      1,
      3,
      6
    ],
    "defaultFrequency": 1,
    "availableItems": [
      {
        "id": "9b2f1c4e-1a2b-4c3d-8e9f-0a1b2c3d4e5f",
        "name": "House Blend 250g",
        "sku": "COF-HB-250",
        "image": null,
        "price": 8.5,
        "salePrice": null,
        "subscriberPrice": 7.5,
        "description": "Our signature house blend.",
        "status": "active",
        "minQuantity": 1,
        "maxQuantity": 5,
        "defaultQuantity": 1
      }
    ],
    "minItems": 3
  }
}
{
"message": "Product is not a subscription"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API token.

Path Parameters

productId
string<uuid>
required

The id of the subscription product.

Response

The subscription configuration.

data
object

Configuration options for a subscription package.